<?php

/********************************************************************************
	- MemHT Portal -
	
	Copyright (C) 2007-2008 by Miltenovik Manojlo
	http://www.memht.com
	
	This program is free software; you can redistribute it and/or modify
	it under the terms of the GNU General Public License as published by
	the Free Software Foundation; either version 2 of the License, or
	(at your opinion) any later version.
	
	This program is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
	GNU General Public License for more details.
	
	You should have received a copy of the GNU General Public License along
	with this program; if not, see <http://www.gnu.org/licenses/> (GPLv2)
	or write to the Free Software Foundation, Inc., 51 Franklin Street,
	Fifth Floor, Boston, MA02110-1301, USA.
		
********************************************************************************/

if (!defined("_LOAD_PAGE_")) {
	die("<table style='padding: 2px; border: 1px solid #999; background-color: #EEE; font-family: Verdana; font-size: 10px;' align='center'><tr><td><b>Error:</b> This file cannot be opened directly!</td></tr></table>");
}

$pagerow = $dblink->get_row("SELECT * FROM memht_pagine WHERE nome='$page'");
$fullScreen = intval($pagerow['fullscreen']);
		
require_once("inc/inc_header.php");		
	if (isset($_GET['page'])) { page_title($page); }
	openTable();
	
	$emails = 200;
	for ($i=0;$i<$emails;$i++) {
		echo genMail()." ";
	}

	function genMail() {
		$one = rand(4,10);
		$two = rand(4,10);
		$three = rand(0,14);
		$pattern = "1234567890abcdefghijklmnopqrstuvwxyz";
		$pattern2 = array('com','net','org','info','biz','it','us','fr','uk','es','de','tw','jp','eu','au');
		$key1 = $key2 = "";		
		for($i=0;$i<$one;$i++) {
			$key1 .= $pattern{rand(0,35)};
		}
		for($i=0;$i<$two;$i++) {
			$key2 .= $pattern{rand(0,35)};
		}		
		$email = $key1."@".$key2.".".$pattern2[$three];
		
		return $email;
	}
	
	closeTable();
require_once("inc/inc_footer.php");

?>